### Method

# Gio Settings get_value

since: 2.26

#### Declaration

    GVariant*
    g_settings_get_value (
      GSettings* settings,
      const gchar* key
    )

#### Description

Gets the value that is stored in `settings` for `key`.

It is a programmer error to give a `key` that isn’t contained in the schema for `settings`.

Available since: 2.26

#### Parameters

`key`

  Type: `const gchar*`

  The key to get the value for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GVariant`

A new `GVariant`.

The caller of the method takes ownership of the data, and is responsible for freeing it.